Text-to-Image Generation
curl --request POST \
--url https://www.anyfast.ai/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "wan2.6-t2i",
"prompt": "A cute cat in Studio Ghibli style",
"n": 1,
"size": "1024x1024",
"response_format": "url"
}
'import requests
url = "https://www.anyfast.ai/v1/images/generations"
payload = {
"model": "wan2.6-t2i",
"prompt": "A cute cat in Studio Ghibli style",
"n": 1,
"size": "1024x1024",
"response_format": "url"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'wan2.6-t2i',
prompt: 'A cute cat in Studio Ghibli style',
n: 1,
size: '1024x1024',
response_format: 'url'
})
};
fetch('https://www.anyfast.ai/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 1773803391,
"data": [
{
"url": "https://example.com/generated.png",
"b64_json": "<string>",
"revised_prompt": "<string>"
}
]
}Alibaba
wan2.6-t2i
Generate an image from a text prompt. Returns the result synchronously.
POST
/
v1
/
images
/
generations
Text-to-Image Generation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Model ID
Available options:
wan2.6-t2i Example:
"wan2.6-t2i"
Text description of the image to generate.
Example:
"A cute cat in Studio Ghibli style"
Number of images to generate.
Required range:
x >= 1Output image size, e.g. 1024x1024, 768x1344.
Example:
"1024x1024"
Return a URL or base64-encoded JSON.
Available options:
url, b64_json Example:
"url"
Was this page helpful?
⌘I